This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### removeTokens()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "   $Lion  ,");
      newRow.setString("type", ",,,Mammal");

      newRow = table.addRow();
      newRow.setString("name", "$Snake  ");
      newRow.setString("type", ",,,Reptile");

      newRow = table.addRow();
      newRow.setString("name", "  $Mosquito , ");
      newRow.setString("type", ",,,Insect");

      println(table.getStringColumn("name"));

      table.removeTokens(",$ ");

      println(table.getStringColumn("name"));
    }

    // Sketch prints:
    // [0] "   $Lion  ,"
    // [1] "$Snake  "
    // [2] "  $Mosquito , "
    // [0] "Lion"
    // [1] "Snake"
    // [2] "Mosquito"
Description | Removes any of the specified characters (or "tokens"). The example above removes all commas, dollar signs, and spaces from the table. If no column is specified, then the values in all columns and rows are processed. A specific column may be referenced by either its ID or title.
Syntax |
    .removeTokens(tokens)
    .removeTokens(tokens, column)
    .removeTokens(tokens, columnName)
Parameters |
tokens | String: a list of individual characters to be removed
column | int: ID number of the column to process
columnName | String: title of the column to process
Returns | void
Related | trim()

Updated on October 26, 2013 08:58:34pm PDT